module CElevatorEnum
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_Elevator()
        implicit none
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_Elevator=TopDrive'
!#endif
!
!
!
!            
!            
!            
!            
!            
!            
!            
!            
!            
!            
!            
!            
!            
!            
!        endif
!        
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_Elevator=Kelly'
!#endif
!        endif
        
    end subroutine
    
    subroutine Subscribe_Elevator()
        implicit none
        ! imp me...
    end subroutine
    
end module CElevatorEnum